commit: f684468bfae3ba58cb19f7a7be73837066d3f028
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 26 18:29:00 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 26 18:31:55 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f684468b
dev-python/webob: Port to py39
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/webob/webob-1.8.6.ebuild | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/dev-python/webob/webob-1.8.6.ebuild
b/dev-python/webob/webob-1.8.6.ebuild
index fb89754dfce..0be6b5b7041 100644
--- a/dev-python/webob/webob-1.8.6.ebuild
+++ b/dev-python/webob/webob-1.8.6.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8}} )
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8,9}} )
inherit distutils-r1
@@ -21,3 +21,9 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64
~s390 ~sparc ~x86 ~a
distutils_enable_sphinx docs 'dev-python/alabaster'
distutils_enable_tests pytest
+
+src_prepare() {
+ # py3.9
+ sed -i -e 's:isAlive:is_alive:' tests/conftest.py || die
+ distutils-r1_src_prepare
+}